1. Avant de poster un sujet, vérifiez que vous êtes dans la bonne section ! Est-ce que le jeu se lance ? Est-ce qu'il crashe ? Est-ce que le launcher fonctionne comme attendu ? Ou est-ce un problème avec le site ? Ou avec Minecraft en général ? Toutes ces questions vous permettront de trouver la bonne catégorie ;)

Error Http

Discussion dans 'Aide avec un launcher (hors freeze/crash du jeu)' démarrée par Arkrant, 18 Juin 2015.

  1. Arkrant

    Arkrant Membre

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    5
    "J'aime" reçus :
    1
    Suppresion
     
    Dernière édition: 23 Mai 2019
  2. natinusala

    natinusala Fondateur de LaunchMyCraft Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    522
    "J'aime" reçus :
    62
    Salut,

    Cela ne vient pas du launcher mais de l'URL du .zip qui retourne un 403, est-ce hébergé sur le site ou autre part ?
     
  3. natinusala

    natinusala Fondateur de LaunchMyCraft Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    522
    "J'aime" reçus :
    62
    Tu peux donner les logs sans censurer l'adresse ? Ca aiderait :3
     
  4. natinusala

    natinusala Fondateur de LaunchMyCraft Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    522
    "J'aime" reçus :
    62
    "Erreur 404 : Le site auquel vous tentez d'accéder n'existe pas ou plus"

    Edit : enlève le www devant :)
     
  5. natinusala

    natinusala Fondateur de LaunchMyCraft Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    522
    "J'aime" reçus :
    62
    C'est pas normal, remets les logs complets ?
     
  6. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Est-ce que tu peux copier dans une balise le contenu du fichier "last.log" que tu trouves dans "%appdata%\.<nom de ton launcher>" dans l'explorateur Windows ?
     
  7. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Après quelques recherches, je remarque de FileHost pose souvent des soucis avec l'hébergement Minecraft.
    Ne serait-il pas plus simple d'héberger ton fichier sur un DropBox ?
     
  8. natinusala

    natinusala Fondateur de LaunchMyCraft Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    522
    "J'aime" reçus :
    62
    N'aurais tu pas un proxy ou quelque chose qui bloque la connexion ? 403 veut dire accès interdit et c'est ce qui se déclenche si un proxy bloque internet.
     
  9. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    J'ai testé à tout hasard ton lien DropBox, mais ça m'indique une erreur 403.

    Faut-il être connecté sur DropBox pour accéder à ton fichier ?
    Dans ce cas, il est peut-être normal que le launcher n'y ai pas accès, puisqu'il ne se connecte pas, il ne fait qu'accéder au lien comme si il était public.
     
  10. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Pas besoin, j'ai compris pourquoi ton lien ne marchait pas.
    Il faut que tu partages ton fichier dans DropBox, il te fournit alors un lien un peu différent de celui que tu as récupéré.

    Le lien devrait ressembler à peu près à ça : https://www.dropbox.com/s/<code>/<ton fichier>?dl=0
    Tu n'as alors plus qu'à remplacer le 0 par un 1 à la fin du lien à mettre dans ton launcher.
     
  11. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Déjà, on avance.

    Là, il s'agit des options que tu as indiqué pour Java dans la création de ton launcher.
    Si tu veux allouer 1Go de Mémoire, je te conseille les arguments suivants :
    -Xmx1G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M -XX:MaxPermSize=256M

    Ce sont des paramètres que j'utilise pour mon serveur (aux valeurs près, qui sont adaptées à ton cas).
    D'ailleurs, pour être sûr qu'ils soient adaptés à ton cas : combien as-tu de Mémoire sur ton PC ?
     
  12. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Ok, normalement, les arguments que je t'ai mis devraient fonctionner.
    Si tu n'es pas le seul à utiliser le launcher, pense à t'assurer que tes amis auront suffisamment de Mémoire. Car pour les arguments donnés, il en faudrait 4 Go minimum pour ne pas ralentir le PC.
     
  13. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Je t'ai indiqué les arguments suivant plus haut, ils devraient suffire :
    -Xmx1G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M -XX:MaxPermSize=256M

    Sinon, tu peux mettre :
    -Xmx2G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn256M -XX:MaxPermSize=256M
     
  14. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Quelle est la version de Java utilisée ? 32 ou 64 bits ?
     
  15. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Ok, je viens seulement de voir que tu es sous MacOS.
    Je ne sais pas trop comment tourne habituellement les launcher et Java sur ce Système.

    Et comme je n'ai pas de MacOS à dispo, je ne peux pas tester de mon côté.
    Je vais faire quelques recherches plus poussées et je reviens vers toi.
     
  16. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Ton archive n'est pas correctement constituée.

    Tu as uniquement un dossier "mods" dans ton archive, qui contient les dossiers "version", "libraries", "flan" et "mods".
    En fait, tout ce que tu as mis dans ton premier dossier "mods" doit être à la racine de ton archive.
     
  17. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Oui, mais quand tu construit ton archive, il faut que tu sélectionnes tes 4 dossiers (et pas le dossier parent qui les contient) et que tu les compresses.
    Sinon, et tu peux le voir en ouvrant ton archive, il contient un dossier "mods", puis, dans ce dossier, les 4 que tu me montres dans ta capture d'écran.

    Essaie et dis moi si ça fonctionne.
    Si tu as des questions, n'hésite pas.
     
  18. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Là, l'archive est bien construite.

    Quelle version de Forge veux-tu utiliser ?
    Peux-tu me donner la version exacte de Java ?
     
  19. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    1.7.10, c'est la version de Minecraft. La version de Forge, c'est sous la forme "10.13.2.1291".

    Si tu as un invité de commande, tu peux normalement la voir en tapant "java -version".
    Sinon, il faut que tu ailles dans tes "Préférences systèmes", il doit y avoir une icône Java et dans les informations, tu pourras voir la version.
     
  20. Apokalysme

    Apokalysme Modérateur et conseiller Membre de l'équipe

    Inscrit depuis le :
    18 Juin 2015
    Messages :
    1,538
    "J'aime" reçus :
    80
    Ok, pour Java, 1.8.0_40.
    Pour Forge, c'est la 10.13.2.1230.

    À ma connaissance, ces versions de Forge et Minecraft ne fonctionnent pas en Java 1.8.
    Il faudrait soit un Fix pour que cela fonctionne, soit que tu utilises une versions plus récente de Forge.
    Je vais regarder plus en détails et je reviens vers toi dans la soirée.
     

Partager cette page